.ah-07bde7f6-wrapper {
    display: inline-block;
    line-height: 1.2;
    transition: all 0.3s ease;
    width: 100%;
}

.ah-07bde7f6-static {
    display: inline-block;
    vertical-align: middle;
}

.ah-07bde7f6-dynamic-wrapper {
    display: inline-flex;
    position: relative;
    vertical-align: middle;
    overflow: hidden;
    padding: 0.1em 0.1em;
}

.ah-07bde7f6-dynamic-wrapper.is-block {
    display: flex;
    justify-content: inherit;
    width: 100%;
    margin-top: 5px;
}


/* Base states for words */
.ah-07bde7f6-animated-word {
    position: absolute;
    top: 0;
    left: 0;
    white-space: nowrap;
    opacity: 0;
    visibility: hidden;
    transition: transform 0.6s cubic-bezier(0.22, 1, 0.36, 1), opacity 0.6s cubic-bezier(0.22, 1, 0.36, 1);
}

.ah-07bde7f6-animated-word.is-visible {
    position: relative;
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

/* Slide Up (Default) */
.ah-07bde7f6-wrapper[data-effect="slide-up"] .ah-07bde7f6-animated-word.is-hidden {
    transform: translateY(-100%);
}
.ah-07bde7f6-wrapper[data-effect="slide-up"] .ah-07bde7f6-animated-word {
     transform: translateY(100%);
}
.ah-07bde7f6-wrapper[data-effect="slide-up"] .ah-07bde7f6-animated-word.is-visible {
    transform: translateY(0);
}


/* Slide Down */
.ah-07bde7f6-wrapper[data-effect="slide-down"] .ah-07bde7f6-animated-word.is-hidden {
    transform: translateY(100%);
}
.ah-07bde7f6-wrapper[data-effect="slide-down"] .ah-07bde7f6-animated-word {
     transform: translateY(-100%);
}
.ah-07bde7f6-wrapper[data-effect="slide-down"] .ah-07bde7f6-animated-word.is-visible {
    transform: translateY(0);
}

/* Fade */
.ah-07bde7f6-wrapper[data-effect="fade"] .ah-07bde7f6-animated-word {
    transform: none !important;
    transition: opacity 0.8s ease;
}
.ah-07bde7f6-wrapper[data-effect="fade"] .ah-07bde7f6-animated-word.is-hidden {
    opacity: 0;
}

/* Zoom */
.ah-07bde7f6-wrapper[data-effect="zoom"] .ah-07bde7f6-animated-word {
    transform: scale(0.5);
    transition: transform 0.6s ease, opacity 0.6s ease;
}
.ah-07bde7f6-wrapper[data-effect="zoom"] .ah-07bde7f6-animated-word.is-hidden {
    transform: scale(1.5);
    opacity: 0;
}
.ah-07bde7f6-wrapper[data-effect="zoom"] .ah-07bde7f6-animated-word.is-visible {
    transform: scale(1);
    opacity: 1;
}
